<?php
namespace Drupal\maestro\Controller;

use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Request;
use Drupal\Core\Controller\ControllerBase;

class MaestroAutoCompleteController extends ControllerBase {

  /**
   * Returns response for the autocompletion.
   *
   * @param \Symfony\Component\HttpFoundation\Request $request
   *   The current request object containing the search string.
   *
   * @return \Symfony\Component\HttpFoundation\JsonResponse
   *   A JSON response containing the autocomplete suggestions.
   */

  public function autocompleteRoles(request $request) {
    $matches = array();
    $string = $request->query->get('q');
    $roles = user_role_names(TRUE);
    foreach($roles as $rid => $name) {
      if(stristr($name, $string) !== FALSE) {
        $matches[] = $name . " ({$rid})";
      }
    }
    
    return new JsonResponse($matches);
  }
}