<?php 

/**
 * @file
 * Definition of Drupal\maestro\Plugin\views\field\MaestroEngineActiveAssignments
 */
 
namespace Drupal\maestro\Plugin\views\field;
 
use Drupal\Core\Form\FormStateInterface;
use Drupal\views\Plugin\views\field\FieldPluginBase;
use Drupal\views\ResultRow;
use Drupal\maestro\Engine\MaestroEngine;


/**
 * Field handler to generate a list of assigned users/roles etc.
 *
 * @ingroup views_field_handlers
 *
 * @ViewsField("maestro_active_assignments")
 */
class MaestroEngineActiveAssignments extends FieldPluginBase {

  /**
   * @{inheritdoc}
   */
  public function query() {
    // no Query to be done.
  }
  
  /**
   * Define the available options
   * @return array
   */
  protected function defineOptions() {
    $options = parent::defineOptions();
     
  
    return $options;
  }
  
  /**
   * Provide the options form.
   */
  public function buildOptionsForm(&$form, FormStateInterface $form_state) {
  
  
    parent::buildOptionsForm($form, $form_state);
  }
  
  /**
   * @{inheritdoc}
   */
  public function render(ResultRow $values) {
    $item = $values->_entity;
    //lets get the assignments based on this queue ID
    $output = MaestroEngine::getAssignedNamesOfQueueItem($item->id->getString(), FALSE);
    if(count($output) == 0) {
      return $this->t('No assignees'); 
    }
    else {
      return implode(',', $output);
    }
    
  }
}